package com.pcloud.book.applet.dao.impl;

import com.pcloud.book.applet.dao.AppletBusinessCardDao;
import com.pcloud.book.applet.entity.AppletBusinessCard;
import com.pcloud.common.core.dao.BaseDaoImpl;
import java.util.HashMap;
import java.util.Map;
import org.springframework.stereotype.Component;

/**
 * Created with IntelliJ IDEA.
 *
 * @Auther: Pansy
 * @Date: 2020/07/29/10:26
 * @Description:
 */
@Component("appletBusinessCardDao")
public class AppletBusinessCardDaoImpl extends BaseDaoImpl<AppletBusinessCard> implements AppletBusinessCardDao {

    public Long getCountByName(String name){
        Map<String,Object> map = new HashMap<>();
        map.put("name",name);
        return super.getSqlSession().selectOne(getStatement("getCountByName"),map);
    }
}
